DO $$ 
	DECLARE _path character varying(256) = 'patch-2025_07_22-NotificationUsers_ViewSource';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=15195) THEN
			RETURN;
		END IF;

		BEGIN

			ALTER TABLE public."NotificationUsers" ADD "ViewSource" integer DEFAULT 4096 NOT NULL;

 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
		END;
	END;
$$